summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--packages/avahi/avahi_0.6.10.bb (renamed from packages/avahi/avahi_0.6.9.bb)0
-rw-r--r--packages/libgpewidget/libgpewidget_0.111.bb26
-rw-r--r--packages/zeroconf/files/.mtn2git_empty0
-rw-r--r--packages/zeroconf/files/debian-zeroconf51
-rw-r--r--packages/zeroconf/files/zeroconf-default (renamed from packages/zeroconf/zeroconf-0.6.1/zeroconf-default)0
-rw-r--r--packages/zeroconf/zeroconf_0.9.bb21
6 files changed, 98 insertions, 0 deletions
diff --git a/packages/avahi/avahi_0.6.9.bb b/packages/avahi/avahi_0.6.10.bb
index 95c930d8e8..95c930d8e8 100644
--- a/packages/avahi/avahi_0.6.9.bb
+++ b/packages/avahi/avahi_0.6.10.bb
diff --git a/packages/libgpewidget/libgpewidget_0.111.bb b/packages/libgpewidget/libgpewidget_0.111.bb
new file mode 100644
index 0000000000..780d1e920b
--- /dev/null
+++ b/packages/libgpewidget/libgpewidget_0.111.bb
@@ -0,0 +1,26 @@
+LICENSE = "LGPL"
+DESCRIPTION = "libgpewidget contains a collection of widgets and other common code shared by many GPE applications."
+SECTION = "gpe/libs"
+PRIORITY = "optional"
+DEPENDS = "gtk+ cairo libxrender gtk-doc"
+MAINTAINER = "Florian Boor <florian.boor@kernelconcepts.de>"
+PR = "r0"
+
+GPE_TARBALL_SUFFIX = "bz2"
+inherit gpe pkgconfig autotools
+
+SRC_URI += "file://pkgconfig.patch;patch=1;pnum=0"
+
+PACKAGES =+ "libgpewidget-bin"
+FILES_libgpewidget-bin = "${bindir}"
+
+EXTRA_OECONF = "--enable-cairo"
+
+PARALLEL_MAKE = ""
+
+LDFLAGS += " -L${STAGING_LIBDIR}"
+
+do_stage () {
+ autotools_stage_all
+}
+
diff --git a/packages/zeroconf/files/.mtn2git_empty b/packages/zeroconf/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/zeroconf/files/.mtn2git_empty
diff --git a/packages/zeroconf/files/debian-zeroconf b/packages/zeroconf/files/debian-zeroconf
new file mode 100644
index 0000000000..c3705d2788
--- /dev/null
+++ b/packages/zeroconf/files/debian-zeroconf
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+if [ ! -x /usr/sbin/zeroconf ]; then
+ exit 0
+fi
+
+# IPv4 link-local addresses (zeroconf) are
+# only applicable on the 'inet' address family
+[ "X$ADDRFAM" != "Xinet" ] && exit 0
+
+# However there are some methods where it doesn't
+# make any sense to configure an IPv4LL address
+
+# not on loopback
+[ "X$METHOD" = "Xloopback" ] && exit 0
+
+# not on ppp or wvdial either
+[ "X$METHOD" = "Xppp" ] && exit 0
+[ "X$METHOD" = "Xwvdial" ] && exit 0
+
+# The administrator may have blacklisted interfaces
+# or only want zeroconf in a fallback situation
+[ -f /etc/default/zeroconf ] &&
+ . /etc/default/zeroconf
+
+[ -n "$DISABLE" ] && exit 0
+
+for BLACK in $IFBLACKLIST; do
+ case $IFACE in
+ $BLACK)
+ exit 0
+ ;;
+ esac
+done
+
+# should we only allocate an address if we do not already have one?
+if [ -n "$FALLBACK" ]; then
+ /bin/ip addr show $IFACE scope global | grep -q "inet"
+ IP=$?
+ if [ $IP -eq 0 ]; then
+ /bin/ip route add 169.254.0.0/16 dev $IFACE
+ exit 0
+ fi
+fi
+
+# otherwise, run if we aren't already going
+if [ ! -r /var/run/zeroconf.$IFACE.pid ]; then
+ /usr/sbin/zeroconf -i $IFACE
+fi
+
+exit 0
diff --git a/packages/zeroconf/zeroconf-0.6.1/zeroconf-default b/packages/zeroconf/files/zeroconf-default
index cc07b275f1..cc07b275f1 100644
--- a/packages/zeroconf/zeroconf-0.6.1/zeroconf-default
+++ b/packages/zeroconf/files/zeroconf-default
diff --git a/packages/zeroconf/zeroconf_0.9.bb b/packages/zeroconf/zeroconf_0.9.bb
new file mode 100644
index 0000000000..c8f7ddfa3a
--- /dev/null
+++ b/packages/zeroconf/zeroconf_0.9.bb
@@ -0,0 +1,21 @@
+DESCRIPTION = "IPv4 link-local address allocator"
+AUTHOR = "Anand Kumria <wildfire@progsoc.uts.edu.au>"
+HOMEPAGE = "http://www.progsoc.org/~wildfire/zeroconf/"
+LICENSE = "GPL"
+SECTION = "net"
+PRIORITY = "optional"
+
+PR = "r0"
+
+SRC_URI = "http://www.progsoc.org/~wildfire/zeroconf/download/${PN}-${PV}.tar.gz \
+ file://zeroconf-default \
+ file://debian-zeroconf"
+
+do_install () {
+ install -d ${D}${sbindir}
+ install -d ${D}${sysconfdir}/network/if-up.d
+ install -d ${D}${sysconfdir}/default
+ install -c -m 755 ${S}/zeroconf ${D}${sbindir}/zeroconf
+ install -c -m 755 ${WORKDIR}/debian-zeroconf ${D}${sysconfdir}/network/if-up.d/zeroconf
+ install -c ${WORKDIR}/zeroconf-default ${D}${sysconfdir}/default/zeroconf
+}